net.minecraft.client.gui.achievement

## Class GuiAchievements

- java.lang.Object
- - net.minecraft.client.gui.Gui
  - - net.minecraft.client.gui.GuiScreen
    - - net.minecraft.client.gui.achievement.GuiAchievements

- All Implemented Interfaces:
    IProgressMeter

      public class GuiAchievements
      extends GuiScreen
      implements IProgressMeter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `field_146555_f`
    `protected int` | `field_146557_g`
    `protected GuiScreen` | `field_146562_a`
    `protected int` | `field_146563_h`
    `protected int` | `field_146564_i`
    `protected double` | `field_146565_w`
    `protected double` | `field_146566_v`
    `protected double` | `field_146567_u`
    `protected double` | `field_146568_t`
    `protected double` | `field_146569_s`
    `protected float` | `field_146570_r`
    `protected double` | `field_146573_x`

    - ### Fields inherited from class net.minecraft.client.gui.GuiScreen

      `allowUserInput, buttonList, fontRendererObj, height, itemRender, labelList, mc, width`

    - ### Fields inherited from class net.minecraft.client.gui.Gui

      `icons, optionsBackground, statIcons, zLevel`

    - ### Fields inherited from interface net.minecraft.client.gui.IProgressMeter

      `field_146510_b_`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiAchievements(GuiScreen p_i45026_1_, StatFileWriter p_i45026_2_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `actionPerformed(GuiButton p_146284_1_)`
    `boolean` | `doesGuiPauseGame()`
    `void` | `drawScreen(int par1, int par2, float par3)`
    `void` | `func_146509_g()`
    `protected void` | `func_146552_b(int p_146552_1_, int p_146552_2_, float p_146552_3_)`
    `protected void` | `func_146553_h()`
    `void` | `initGui()`
    `protected void` | `keyTyped(char par1, int par2)`
    `void` | `updateScreen()`

    - ### Methods inherited from class net.minecraft.client.gui.GuiScreen

      `confirmClicked, drawBackground, drawCreativeTabHoveringText, drawDefaultBackground, drawHoveringText, drawWorldBackground, func_146283_a, getClipboardString, handleInput, handleKeyboardInput, handleMouseInput, isCtrlKeyDown, isShiftKeyDown, mouseClicked, mouseClickMove, mouseMovedOrUp, onGuiClosed, renderToolTip, setClipboardString, setWorldAndResolution`

    - ### Methods inherited from class net.minecraft.client.gui.Gui

      `drawCenteredString, drawGradientRect, drawHorizontalLine, drawRect, drawString, drawTexturedModalRect, drawTexturedModelRectFromIcon, drawVerticalLine, func_146110_a`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### field_146562_a

          protected GuiScreen field_146562_a

    - #### field_146555_f

          protected int field_146555_f

    - #### field_146557_g

          protected int field_146557_g

    - #### field_146563_h

          protected int field_146563_h

    - #### field_146564_i

          protected int field_146564_i

    - #### field_146570_r

          protected float field_146570_r

    - #### field_146569_s

          protected double field_146569_s

    - #### field_146568_t

          protected double field_146568_t

    - #### field_146567_u

          protected double field_146567_u

    - #### field_146566_v

          protected double field_146566_v

    - #### field_146565_w

          protected double field_146565_w

    - #### field_146573_x

          protected double field_146573_x

  - ### Constructor Detail

    - #### GuiAchievements

          public GuiAchievements(GuiScreen p_i45026_1_,
                         StatFileWriter p_i45026_2_)

  - ### Method Detail

    - #### initGui

          public void initGui()

      Overrides:
        `initGui` in class `GuiScreen`

    - #### actionPerformed

          protected void actionPerformed(GuiButton p_146284_1_)

      Overrides:
        `actionPerformed` in class `GuiScreen`

    - #### keyTyped

          protected void keyTyped(char par1,
                      int par2)

      Overrides:
        `keyTyped` in class `GuiScreen`

    - #### drawScreen

          public void drawScreen(int par1,
                        int par2,
                        float par3)

      Overrides:
        `drawScreen` in class `GuiScreen`

    - #### func_146509_g

          public void func_146509_g()

      Specified by:
        `func_146509_g` in interface `IProgressMeter`

    - #### updateScreen

          public void updateScreen()

      Overrides:
        `updateScreen` in class `GuiScreen`

    - #### func_146553_h

          protected void func_146553_h()

    - #### func_146552_b

          protected void func_146552_b(int p_146552_1_,
                           int p_146552_2_,
                           float p_146552_3_)

    - #### doesGuiPauseGame

          public boolean doesGuiPauseGame()

      Overrides:
        `doesGuiPauseGame` in class `GuiScreen`